package com.iflytek.cloud.msc.util.http;

/**
 * 网络传输监听接口
 * 
 * @author kuncheng 2011-6-14
 * @deprecated 弃用
 */
public interface HttpTransListener {

	/**
	 * 开始传输
	 * 
	 * @param contentLength
	 * @param mimeType
	 * @return -2 cancel;
	 *          0 success;
	 *          > 0 error code
	 */
	int onStart(long contentLength, String mimeType, String newUrl, String eTag, String contentDisposition,
			String contentLocation);

	/**
	 * 下载数据
	 * 
	 * @param data
	 * @param size
	 * @return -2 cancel;
	 *          0 success;
	 *          > 0 error code 
	 */
	int onBuffer(byte[] data, int size);

	/**
	 * 网络操作结束
	 */
	void onFinish();

	/**
	 * 网络操作出错
	 * 
	 * @param errorCode
	 */
	void onError(int errorCode);
	
	void onCancel();
}
